Logoelepay
Customer

List customers

Retrieves a list of customer information.

GET
/customers
AuthorizationBearer <token>

API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.

In: header

Query Parameters

keyword?string

Keyword

limit?integer

Maximum number of items

Default20
Rangevalue <= 100
offset?integer

Starting offset

Default0

Response Body

application/json;charset=utf-8

curl -X GET "https://api.elepay.io/customers"
{
  "total": 0,
  "customers": [
    {
      "id": "string",
      "object": "customer",
      "liveMode": true,
      "defaultSource": "string",
      "name": "string",
      "description": "string",
      "email": "string",
      "phone": "string",
      "remark": "string",
      "operator": "string",
      "status": "active",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "updateTime": 0
    }
  ]
}